import 'package:canteen/model/dish_model.dart';
import 'package:canteen/views/canteen_dish_listview.dart';
import 'package:flutter/material.dart';

class FoodListPage extends StatelessWidget {
  final List<DishModel> dishs = [
    DishModel("牛肉炖土豆", "10元/份", "早/中/晚", "一食堂一号窗口", like: true, star: true),
    DishModel("马铃薯炒土豆", "8元/份", "早/中/晚", "一食堂一号窗口", like: true, star: true),
    DishModel("番茄炒鸡蛋", "8元/份", "早/中/晚", "一食堂一号窗口", star: true),
    DishModel("番茄炒西红柿", "5元/份", "早/中/晚", "一食堂一号窗口", star: true),
    DishModel("牛肉面", "10元/份", "早/中/晚", "一食堂一号窗口"),
    DishModel("牛肉刀削面", "10元/份", "早/中/晚", "一食堂一号窗口"),
    DishModel("刀削牛肉面", "10元/份", "早/中/晚", "一食堂一号窗口"),
    DishModel("牛刀削肉面", "10元/份", "早/中/晚", "一食堂一号窗口"),
    DishModel("凑数", "元/10份", "//", "食堂窗口"),
    DishModel("凑数", "元/10份", "//", "食堂窗口"),
    DishModel("凑数", "元/10份", "//", "食堂窗口"),
    DishModel("凑数", "元/10份", "//", "食堂窗口"),
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text("食堂菜谱"),
          leading: Builder(
            builder: (context) {
              return IconButton(
                icon: const Icon(Icons.arrow_back, color: Colors.white),
                onPressed: () {
                  Navigator.pop(context);
                },
              );
            },
          ),
        ),
        body: CanteenDishListView(dishs));
  }
}
