
import 'package:canteen/model/canteen_model.dart';

/// Description: 校区
/// Time       : 07/25/2022 Monday
/// Author     : liuyuqi.gov@msn.cn
class CampusModel {
  String name; /// 校区名
  late int id;
  static int _id_count = 0;
  Map<String, CanteenModel> canteens = Map();
  CampusModel(this.name) {
    id = ++_id_count;
  }
  CanteenModel addCanteen(String name) {
    canteens[name] = CanteenModel(name);
    return canteens[name]!;
  }
}
